Subject: bug#2618: 23.0.90; Point shifts leftward during vertical motion in buffaced buffer

From: Chong Yidong <[email-masked]>
Date: Mon, 09 Mar 2009 20:53:22 -0400

> Open a text file and shrink the text size (using bufface) to -2.  Move
> the cursor right several glyphs from the beginning of the line, then
> move the cursor down one line.  On my machine, the cursor moves down,
> but also moves left one glyph.  After any left or right cursor motion,
> the next upward or downward cursor motion shifts the cursor one glyph
> towards the left margin; further vertical motion is not affected.  The
> problem stops when you return to normal fact size.

I am afraid you lost me at the first line: I don't know what `bufface'
is.  Please provide an *exact* recipe, including the precise file you
used and the precise steps you took beginning with `emacs -Q'.